using Helper;
using IDAL;
using Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DAL
{
    public class Together2 : IMusic
    {
        public List<Music> Search(string word, int page, int num)
        {
            List<Music> list = new List<Music>();
            list.AddRange(new Migu().Search(word, page, num / 7));
            list.AddRange(new Lingdu().Search(word, page, num / 7));
            list.AddRange(new _5nd().Search(word, page, num / 7));
            list.AddRange(new Yinyueke().Search(word, page, num / 7));
            list.AddRange(new _9ku().Search(word, page, num / 7));
            list.AddRange(new Tingwa().Search(word, page, num / 7));
            list.AddRange(new Beiwa().Search(word, page, num / 7));
            List<Music> result = new List<Music>();
            foreach (Music item in list)
            {
                if (!result.Contains(item))
                { result.Add(item); }
            }
            return result;
        }

        public List<Music> SearchCollection(string id)
        {
            throw new NotImplementedException();
        }

        public bool GetData(Music m)
        {
            throw new NotImplementedException();
        }

        public void GetLrc(Music m)
        {
            throw new NotImplementedException();
        }
    }
}
